## org.eclipse.datatools.modelbase.sql.tables.impl
Class ViewTableImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
                      org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl

All Implemented Interfaces:
  SQLObject, DerivedTable, Table, ViewTable

Direct Known Subclasses:
  JDBCView

    public class ViewTableImpl

extends DerivedTableImpl
implements ViewTable

An implementation of the model object 'View Table'.

The following features are implemented:

- `Check Type`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`CheckType` `getCheckType()`
`void` `setCheckType(CheckType newCheckType)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
`basicSetQueryExpression, eInverseRemove, getQueryExpression, setQueryExpression`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, eInverseAdd, getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getColumns, getIndex, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getCheckType

    public CheckType getCheckType()

  Specified by:
    `getCheckType` in interface `ViewTable`
  Returns:
    the value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `ViewTable.setCheckType(CheckType)`, `SQLTablesPackage.getViewTable_CheckType()`

### setCheckType

    public void setCheckType(CheckType newCheckType)

  Specified by:
    `setCheckType` in interface `ViewTable`
  Parameters:
    `newCheckType` - the new value of the 'Check Type' attribute.
  See Also:
    `CheckType`, `ViewTable.getCheckType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `DerivedTableImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `DerivedTableImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `DerivedTableImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `DerivedTableImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TableImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.